### Enumeration

# Camel ThreeState

since: 3.22

#### Declaration

    enum Camel.ThreeState

#### Description [src]

Describes a three-state value, which can be either Off, On or Inconsistent.

Available since: 3.22

#### Members

`CAMEL_THREE_STATE_OFF`

  The three-state value is Off.

  - Value: `0`
  - Available since: 3.22
`CAMEL_THREE_STATE_ON`

  The three-state value is On.

  - Value: `1`
  - Available since: 3.22
`CAMEL_THREE_STATE_INCONSISTENT`

  The three-state value is neither On, nor Off.

  - Value: `2`
  - Available since: 3.22